.menu {
    display: inline-block;
    cursor: pointer;
    z-index: 2;
}

.main {
    position: relative;
    padding-top: 30px;
}

.main nav.navbar {
    margin-bottom: 30px;
}

.sidebar-menu {
    padding: 0px 0px 10px 0px;
    position: relative;
    left: 0px;
    top: 0px;
    height: 100%;
    overflow: visible;
    z-index: 999;
    height: auto;
}

.sidebar-menu.dashboard-menu {
    width: 280px;
    min-width: 280px;
    flex-shrink: 0;
}

.button-show-menu {
    display: none;
    position: absolute;
    top: 20px;
    left: 2%;
    cursor: pointer;
    background: transparent;
    z-index: 2;
    border: none;
}

.button-hide-menu {
    display: none;
    position: absolute;
    cursor: pointer;
    top: 22px;
    right: -45px;
    background: transparent;
    z-index: 2;
    border: none;
    border-left: 4px solid #ffffff;
    border-radius: 2px;
}

.button-hide-menu:after {
    border: 0.1rem solid transparent;
    border-bottom-left-radius: 1rem;
    border-width: 0 0 0.2rem 0.2rem;
    box-shadow: -0.1rem 2px 0 #777;
}

.button-show-menu i,
.button-hide-menu i {
    color: #ffffff;
    font-size: 30px;
}

@media (max-width: 670px) {
    .dashboard {
        margin: 0px;
        border-radius: 0px;
    }

    .sidebar-menu {
        position: absolute;
    }

    .button-show-menu,
    .button-hide-menu {
        display: flex;
    }
}

@media (min-width: 671px) {
    .sidebar-menu {
        position: relative;
    }
}

@media (max-width: 450px) {
    .sidebar-menu {
        width: 85% !important;
        min-width: unset;
    }
}

@media (max-width: 992px) {
    .navbar-info {
        justify-content: center !important;
    }

    .navbar-info ul {
        align-items: center !important;
    }
}

.dashboard-menu .header {
    margin-bottom: 10px;
}
